Name:           perl-Test-WWW-Selenium
Version:        1.15
Release:        5.20081021svn%{?dist}
Summary:        Perl Client for the Selenium Remote Control test tool
License:        (GPL+ or Artistic) and ASL 2.0
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Test-WWW-Selenium/
# svn export -r2299 https://svn.openqa.org/svn/selenium-rc/trunk/clients/perl@2299 Test-WWW-Selenium-1.15
# perl Test-WWW-Selenium-1.15/util/fetch_iedoc_xml.pl
# mkdir Test-WWW-Selenium-1.15/target
# mv iedoc.xml Test-WWW-Selenium-1.15/target
# (cd Test-WWW-Selenium-1.15; perl util/create_www_selenium.pl)
# tar czf Test-WWW-Selenium-1.15-2299.tar.gz Test-WWW-Selenium-1.15

Source0:        Test-WWW-Selenium-1.15-2299.tar.gz
#Source0:        http://www.perl.org/authors/id/L/LU/LUKEC/%{name}-%{version}.tar.gz
Patch0:         perl-Test-WWW-Selenium-1.15-headers.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Test::More) >= 0.42
BuildRequires:  perl(Test::Exception)
BuildRequires:  perl(Test::Mock::LWP)
BuildRequires:  perl(Test::Pod)
BuildRequires:  perl(LWP::UserAgent)
BuildRequires:  perl(URI::Escape) >= 1.31
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
Selenium Remote Control (SRC) is a test tool that allows you to write
automated web application UI tests in any programming language against any
HTTP website using any mainstream JavaScript-enabled browser. SRC provides
a Selenium Server, which can automatically start/stop/control any supported
browser. It works by using Selenium Core, a pure-HTML+JS library that
performs automated tasks in JavaScript; the Selenium Server communicates
directly with the browser using AJAX (XmlHttpRequest).


%prep
%setup -q -n Test-WWW-Selenium-%{version}
%patch0 -p1 -b .headers


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*


%check
# Tests are failing due to http://jira.openqa.org/browse/SRC-319
make test ||:


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc Changes README todo.txt
%{perl_vendorlib}/*
%{_mandir}/man3/*


%changelog
* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.15-5.20081021svn
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.15-4.20081021svn
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Oct 21 2008 Lubomir Rintel (Good Data) <lubo.rintel@gooddata.com> 0.15-3.20081021svn
- Bump to SCM snapshot to be able to test right-click javascript menus

* Mon Jun 23 2008 Lubomir Rintel (Good Data) <lubo.rintel@gooddata.com> 0.15-2
- Fixed License tag to include Apache, thanks Parag AN

* Mon Jun 16 2008 Lubomir Rintel (Good Data) <lubo.rintel@gooddata.com> 0.15-1
- Specfile autogenerated by cpanspec 1.75.
- Fix requires
